console.log('customize.js script loaded...');
document.addEventListener('DOMContentLoaded', function() {
  const images = document.querySelectorAll('img');

  images.forEach(image => {
    image.addEventListener('click', function() {
      // Toggle the zoomed-in class on click
      if (this.classList.contains('zoomed-in')) {
        this.classList.remove('zoomed-in');
      } else {
        // Remove zoomed-in from any other images
        images.forEach(img => img.classList.remove('zoomed-in'));
        this.classList.add('zoomed-in');
      }
    });
  });

  // Optionally, click outside the image to zoom out
  document.addEventListener('click', function(e) {
    if (!e.target.matches('img')) {
      images.forEach(img => img.classList.remove('zoomed-in'));
    }
  }, true);
});